Index: /branches/HTM-13.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- /branches/HTM-13.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1165)
+++ /branches/HTM-13.1-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1166)
@@ -477,5 +477,5 @@
   ("FastSearch",              m_iFastSearch,                1, "0:Full search  1:Diamond  2:PMVFAST")
   ("SearchRange,-sr",         m_iSearchRange,              96, "Motion search range")
-#ifdef SONY_MV_V_CONST_C0078
+#if SONY_MV_V_CONST_C0078
   ("DispSearchRangeRestriction",  m_bUseDisparitySearchRangeRestriction, false, "restrict disparity search range")
   ("VerticalDispSearchRange",     m_iVerticalDisparitySearchRange, 56, "vertical disparity search range")
@@ -1590,5 +1590,5 @@
   xConfirmPara( m_iSearchRange < 0 ,                                                        "Search Range must be more than 0" );
   xConfirmPara( m_bipredSearchRange < 0 ,                                                   "Search Range must be more than 0" );
-#ifdef SONY_MV_V_CONST_C0078
+#if SONY_MV_V_CONST_C0078
   xConfirmPara( m_iVerticalDisparitySearchRange <= 0 ,                                      "Vertical Disparity Search Range must be more than 0" );
 #endif
@@ -2464,5 +2464,5 @@
   printf("Min PCM size                 : %d\n", 1 << m_uiPCMLog2MinSize);
   printf("Motion search range          : %d\n", m_iSearchRange );
-#ifdef SONY_MV_V_CONST_C0078
+#if SONY_MV_V_CONST_C0078
   printf("Disp search range restriction: %d\n", m_bUseDisparitySearchRangeRestriction );
   printf("Vertical disp search range   : %d\n", m_iVerticalDisparitySearchRange );
Index: /branches/HTM-13.1-dev0/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- /branches/HTM-13.1-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 1165)
+++ /branches/HTM-13.1-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 1166)
@@ -289,5 +289,5 @@
   Int       m_iSearchRange;                                   ///< ME search range
   Int       m_bipredSearchRange;                              ///< ME search range for bipred refinement
-#ifdef SONY_MV_V_CONST_C0078
+#if SONY_MV_V_CONST_C0078
   Bool      m_bUseDisparitySearchRangeRestriction;            ///< restrict vertical search range for inter-view prediction
   Int       m_iVerticalDisparitySearchRange;                  ///< ME vertical search range for inter-view prediction
Index: /branches/HTM-13.1-dev0/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- /branches/HTM-13.1-dev0/source/Lib/TLibEncoder/TEncCfg.h	(revision 1165)
+++ /branches/HTM-13.1-dev0/source/Lib/TLibEncoder/TEncCfg.h	(revision 1166)
@@ -180,5 +180,5 @@
   Int       m_iSearchRange;                     //  0:Full frame
   Int       m_bipredSearchRange;
-#ifdef SONY_MV_V_CONST_C0078
+#if SONY_MV_V_CONST_C0078
   Bool      m_bUseDisparitySearchRangeRestriction;
   Int       m_iVerticalDisparitySearchRange;
@@ -505,5 +505,5 @@
   Void      setSearchRange                  ( Int   i )      { m_iSearchRange = i; }
   Void      setBipredSearchRange            ( Int   i )      { m_bipredSearchRange = i; }
-#ifdef SONY_MV_V_CONST_C0078
+#if SONY_MV_V_CONST_C0078
   Void      setUseDisparitySearchRangeRestriction ( Bool   b )      { m_bUseDisparitySearchRangeRestriction = b; }
   Void      setVerticalDisparitySearchRange ( Int   i )      { m_iVerticalDisparitySearchRange = i; }
@@ -561,5 +561,5 @@
   Int       getFastSearch                   ()      { return  m_iFastSearch; }
   Int       getSearchRange                  ()      { return  m_iSearchRange; }
-#ifdef SONY_MV_V_CONST_C0078
+#if SONY_MV_V_CONST_C0078
   Bool      getUseDisparitySearchRangeRestriction ()      { return  m_bUseDisparitySearchRangeRestriction; }
   Int       getVerticalDisparitySearchRange ()            { return  m_iVerticalDisparitySearchRange; }
Index: /branches/HTM-13.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- /branches/HTM-13.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 1165)
+++ /branches/HTM-13.1-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 1166)
@@ -5500,5 +5500,5 @@
   TComMv      cMvPred = *pcMvPred;
   
-#ifdef SONY_MV_V_CONST_C0078
+#if SONY_MV_V_CONST_C0078
   Bool bMv_VRng_Restricted = false;
   if( m_pcEncCfg->getUseDisparitySearchRangeRestriction()
@@ -5567,5 +5567,5 @@
 
 
-#ifdef SONY_MV_V_CONST_C0078
+#if SONY_MV_V_CONST_C0078
 Void TEncSearch::xSetSearchRange ( TComDataCU* pcCU, TComMv& cMvPred, Int iSrchRng, TComMv& rcMvSrchRngLT, TComMv& rcMvSrchRngRB, Bool bMv_VRng_Restricted, Int iVerDispSrchRng )
 #else
@@ -5587,5 +5587,5 @@
   rcMvSrchRngRB.setVer( cTmpMvPred.getVer() + (iSrchRng << iMvShift) );
   
-#ifdef SONY_MV_V_CONST_C0078
+#if SONY_MV_V_CONST_C0078
   if ( bMv_VRng_Restricted ) {
     Int iRestrictMvVrange = ( iVerDispSrchRng - 1 ) << iMvShift ; // -1 to consider subpel search
Index: /branches/HTM-13.1-dev0/source/Lib/TLibEncoder/TEncSearch.h
===================================================================
--- /branches/HTM-13.1-dev0/source/Lib/TLibEncoder/TEncSearch.h	(revision 1165)
+++ /branches/HTM-13.1-dev0/source/Lib/TLibEncoder/TEncSearch.h	(revision 1166)
@@ -480,5 +480,5 @@
                                     UInt&         ruiSAD );
   
-#ifdef SONY_MV_V_CONST_C0078
+#if SONY_MV_V_CONST_C0078
   Void xSetSearchRange           (  TComDataCU* pcCU, 
                                     TComMv& cMvPred, 