Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1169)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1170)
@@ -1998,7 +1998,5 @@
   ::memset(m_layerIdxInVps, 0, sizeof(m_layerIdxInVps));
 
-#if VPS_EXTN_PROFILE_INFO
   ::memset(m_profilePresentFlag, 0, sizeof(m_profilePresentFlag));
-#endif
 #if VPS_EXTN_OP_LAYER_SETS
   ::memset(m_layerIdIncludedFlag, 0, sizeof(m_layerIdIncludedFlag));
@@ -3046,6 +3044,4 @@
 
 #if SVC_EXTENSION
-
-#if VPS_EXTN_PROFILE_INFO
 Void ProfileTierLevel::copyProfileInfo(ProfileTierLevel *ptl)
 {
@@ -3062,5 +3058,4 @@
   this->setFrameOnlyConstraintFlag( ptl->getFrameOnlyConstraintFlag());  
 }
-#endif
 
 Window& TComPPS::getScaledRefLayerWindowForLayer(Int layerId)
@@ -3749,5 +3744,4 @@
 #endif //REPN_FORMAT_IN_VPS
 
-#if VPS_EXTN_PROFILE_INFO
 Void TComPTL::copyProfileInfo(TComPTL *ptl)
 {
@@ -3755,6 +3749,4 @@
   this->getGeneralPTL()->copyProfileInfo(ptl->getGeneralPTL());
 }
-#endif
-
 
 Bool TComSlice::setBaseColPic(  TComList<TComPic*>& rcListPic, UInt refLayerIdc )
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1169)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1170)
@@ -244,5 +244,5 @@
   Void setLowerBitRateConstraintFlag(Bool b)       { m_lowerBitRateConstraintFlag = b; }
 
-#if VPS_EXTN_PROFILE_INFO
+#if SVC_EXTENSION
   Void copyProfileInfo(ProfileTierLevel *ptl);
 #endif
@@ -268,5 +268,5 @@
   ProfileTierLevel* getSubLayerPTL(Int i)  { return &m_subLayerPTL[i]; }
 
-#if VPS_EXTN_PROFILE_INFO
+#if SVC_EXTENSION
   Void copyProfileInfo(TComPTL *ptl);
 #endif
@@ -633,10 +633,9 @@
 #endif
   Bool       m_ilpSshSignalingEnabledFlag;
-#if VPS_EXTN_PROFILE_INFO
+
   // Profile-tier-level signalling related
   Bool       m_profilePresentFlag[MAX_VPS_LAYER_SETS_PLUS1];    // The value with index 0 will not be used.
 #if !MULTIPLE_PTL_SUPPORT
   std::vector<TComPTL>    m_pcPTLForExtn;  
-#endif
 #endif
 #if VPS_EXTN_OP_LAYER_SETS
@@ -965,5 +964,5 @@
   Bool   getIlpSshSignalingEnabledFlag()                        { return m_ilpSshSignalingEnabledFlag;}
   Void   setIlpSshSignalingEnabledFlag(Bool x)                  { m_ilpSshSignalingEnabledFlag = x;}
-#if VPS_EXTN_PROFILE_INFO
+
   Bool   getProfilePresentFlag(Int id)                          { return m_profilePresentFlag[id]; }
   Void   setProfilePresentFlag(Int id, Bool x)                  { m_profilePresentFlag[id] = x;    }
@@ -972,5 +971,4 @@
   std::vector<TComPTL>* getPTLForExtnPtr()                      { return &m_pcPTLForExtn;          }
   TComPTL* getPTLForExtn(Int id)                                { return &m_pcPTLForExtn[id];      }
-#endif
 #endif
 #if VPS_EXTN_OP_LAYER_SETS
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1169)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1170)
@@ -52,5 +52,4 @@
 #define POC_RESET_RESTRICTIONS           1      ///< Restrictions on semantics of POC reset-related syntax elements, including one item from R0223
 #define POC_RESET_VALUE_RESTRICTION      1      ///< R0223: Restriction on the value of full_poc_reset_flag
-#define PTL_SIGNALLING                   1      ///< Overall macro for all PTL-related signalling
 
 #define BSP_INIT_ARRIVAL_SEI             1      ///< JCTVC-R0231: Make signalling of vcl_initial_arrival_delay independent of NalHrdBpPresentFlag
@@ -111,5 +110,4 @@
 
 #define VPS_EXTN_OP_LAYER_SETS           1      ///< Include output layer sets in VPS extension
-#define VPS_EXTN_PROFILE_INFO            1      ///< Include profile information for layer sets in VPS extension
 
 #define VPS_VUI_TILES_NOT_IN_USE__FLAG   1      ///< JCTVC-O0226: VPS VUI flag to indicate tile not in use
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1169)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1170)
@@ -2867,5 +2867,5 @@
   }
   READ_FLAG( uiCode, "all_ref_layers_active_flag" ); vps->setIlpSshSignalingEnabledFlag(uiCode ? true : false);
-#if VPS_EXTN_PROFILE_INFO
+
   // Profile-tier-level signalling
   READ_UVLC(  uiCode, "vps_num_profile_tier_level_minus1"); vps->setNumProfileTierLevel( uiCode + 1 );
@@ -2894,5 +2894,4 @@
 #endif
   }
-#endif
 
   if( vps->getNumLayerSets() > 1 )
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1169)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1170)
@@ -2117,5 +2117,5 @@
    }
    WRITE_FLAG( vps->getIlpSshSignalingEnabledFlag(), "all_ref_layers_active_flag" );
-#if VPS_EXTN_PROFILE_INFO
+
   // Profile-tier-level signalling
   WRITE_UVLC( vps->getNumProfileTierLevel() - 1, "vps_num_profile_tier_level_minus1"); 
@@ -2140,5 +2140,4 @@
 #endif
   }
-#endif
 
   Int numOutputLayerSets = vps->getNumOutputLayerSets();