Index: branches/SHM-dev/source/App/TAppDecoder/TAppDecCfg.cpp
===================================================================
--- branches/SHM-dev/source/App/TAppDecoder/TAppDecCfg.cpp	(revision 1139)
+++ branches/SHM-dev/source/App/TAppDecoder/TAppDecCfg.cpp	(revision 1177)
@@ -70,7 +70,5 @@
   string cfg_ReconFile [MAX_LAYERS];
   Int layerNum, targetLayerId;
-#if OUTPUT_LAYER_SET_INDEX
   Int olsIdx;
-#endif
 #if CONFORMANCE_BITSTREAM_MODE
   string cfg_confPrefix;
@@ -104,7 +102,5 @@
   ("TargetLayerId,-lid", targetLayerId, -1, "Target layer id")
   ("LayerNum,-ls", layerNum, MAX_NUM_LAYER_IDS, "Target layer id") // Legacy option
-#if OUTPUT_LAYER_SET_INDEX
   ("OutpuLayerSetIdx,-olsidx", olsIdx, -1, "Index of output layer set to be decoded.")
-#endif
 #if CONFORMANCE_BITSTREAM_MODE
   ("ConformanceBitstremMode,-confMode", m_confModeFlag, false, "Enable generation of conformance bitstream metadata; True: Generate metadata, False: No metadata generated")
@@ -171,5 +167,4 @@
   assert( targetLayerId < MAX_NUM_LAYER_IDS );
 #endif
-#if OUTPUT_LAYER_SET_INDEX
 #if CONFORMANCE_BITSTREAM_MODE
   if( m_confModeFlag )
@@ -202,5 +197,5 @@
   m_commonDecoderParams.setTargetOutputLayerSetIdx( olsIdx );
   m_commonDecoderParams.setTargetLayerId( targetLayerId );
-#endif
+
 #if CONFORMANCE_BITSTREAM_MODE
   for(Int layer = 0; layer < MAX_VPS_LAYER_IDX_PLUS1; layer++ )
@@ -264,6 +259,7 @@
       fprintf(stderr, "File %s could not be opened. Using all LayerIds as default.\n", cfg_TargetDecLayerIdSetFile.c_str() );
     }
-#if OUTPUT_LAYER_SET_INDEX  
-    this->getCommonDecoderParams()->setTargetDecLayerIdSet( &m_targetDecLayerIdSet );
+
+#if SVC_EXTENSION
+    m_commonDecoderParams.setTargetDecLayerIdSet( &m_targetDecLayerIdSet );
 #endif
   }
Index: branches/SHM-dev/source/App/TAppDecoder/TAppDecCfg.h
===================================================================
--- branches/SHM-dev/source/App/TAppDecoder/TAppDecCfg.h	(revision 1139)
+++ branches/SHM-dev/source/App/TAppDecoder/TAppDecCfg.h	(revision 1177)
@@ -74,4 +74,11 @@
 #endif
 
+  std::vector<Int> m_targetDecLayerIdSet;             ///< set of LayerIds to be included in the sub-bitstream extraction process.
+  Int           m_respectDefDispWindow;               ///< Only output content inside the default display window
+#if O0043_BEST_EFFORT_DECODING
+  UInt          m_forceDecodeBitDepth;                ///< if non-zero, force the bit depth at the decoder (best effort decoding)
+#endif
+  std::string   m_outputDecodedSEIMessagesFilename;   ///< filename to output decoded SEI messages to. If '-', then use stdout. If empty, do not output details.
+
 #if SVC_EXTENSION
 #if AVC_BASE
@@ -82,15 +89,5 @@
 #endif
 #endif
-#endif
-
-  std::vector<Int> m_targetDecLayerIdSet;             ///< set of LayerIds to be included in the sub-bitstream extraction process.
-  Int           m_respectDefDispWindow;               ///< Only output content inside the default display window
-#if O0043_BEST_EFFORT_DECODING
-  UInt          m_forceDecodeBitDepth;                ///< if non-zero, force the bit depth at the decoder (best effort decoding)
-#endif
-  std::string   m_outputDecodedSEIMessagesFilename;   ///< filename to output decoded SEI messages to. If '-', then use stdout. If empty, do not output details.
-#if OUTPUT_LAYER_SET_INDEX
   CommonDecoderParams             m_commonDecoderParams;
-#endif
 #if CONFORMANCE_BITSTREAM_MODE
   Bool          m_confModeFlag;
@@ -100,4 +97,5 @@
   std::string   m_decodedYuvLayerFileName[63];
   Bool          m_decodedYuvLayerRefresh[63];
+#endif
 #endif
 
@@ -134,7 +132,8 @@
 
   Bool  parseCfg        ( Int argc, Char* argv[] );   ///< initialize option class from configuration
-#if OUTPUT_LAYER_SET_INDEX
+
+#if SVC_EXTENSION
   CommonDecoderParams* getCommonDecoderParams() {return &m_commonDecoderParams;}
-#endif
+
 #if CONFORMANCE_BITSTREAM_MODE
   Bool const getConfModeFlag() { return m_confModeFlag;  }
@@ -148,4 +147,6 @@
   Void setDecodedYuvLayerRefresh(Int const layerId, Bool const x) {m_decodedYuvLayerRefresh[layerId] = x; }
 #endif
+#endif
+
 };
 
Index: branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.cpp
===================================================================
--- branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 1139)
+++ branches/SHM-dev/source/App/TAppDecoder/TAppDecTop.cpp	(revision 1177)
@@ -666,7 +666,5 @@
     m_acTDecTop[layer].setNumLayer( m_tgtLayerId + 1 );
 #endif
-#if OUTPUT_LAYER_SET_INDEX
     m_acTDecTop[layer].setCommonDecoderParams( &m_commonDecoderParams );
-#endif
   }
 #if CONFORMANCE_BITSTREAM_MODE