Index: /branches/HTM-13.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- /branches/HTM-13.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1177)
+++ /branches/HTM-13.1-dev0/source/Lib/TLibCommon/TComDataCU.cpp	(revision 1178)
@@ -2446,11 +2446,4 @@
 Void TComDataCU::setCbfSubParts( UInt uiCbfY, UInt uiCbfU, UInt uiCbfV, UInt uiAbsPartIdx, UInt uiDepth )
 {
-#if H_3D_DISABLE_CHROMA
-  if( this->getSlice()->getIsDepth() )
-  {
-    uiCbfU = 0;
-    uiCbfV = 0;
-  }
-#endif
   UInt uiCurrPartNumb = m_pcPic->getNumPartInCU() >> (uiDepth << 1);
   memset( m_puhCbf[0] + uiAbsPartIdx, uiCbfY, sizeof( UChar ) * uiCurrPartNumb );
@@ -2461,11 +2454,4 @@
 Void TComDataCU::setCbfSubParts( UInt uiCbf, TextType eTType, UInt uiAbsPartIdx, UInt uiDepth )
 {
-#if H_3D_DISABLE_CHROMA
-  assert( getSlice() != NULL );
-  if( this->getSlice()->getIsDepth() && g_aucConvertTxtTypeToIdx[eTType] > 0  )
-  {
-    uiCbf = 0;    
-  }
-#endif
 
   UInt uiCurrPartNumb = m_pcPic->getNumPartInCU() >> (uiDepth << 1);
@@ -2483,11 +2469,4 @@
 Void TComDataCU::setCbfSubParts ( UInt uiCbf, TextType eTType, UInt uiAbsPartIdx, UInt uiPartIdx, UInt uiDepth )
 {
-#if H_3D_DISABLE_CHROMA
-  assert( getSlice() != NULL );
-  if( this->getSlice()->getIsDepth() && g_aucConvertTxtTypeToIdx[eTType] > 0  )
-  {
-    uiCbf = 0;    
-  }
-#endif
   setSubPart<UChar>( uiCbf, m_puhCbf[g_aucConvertTxtTypeToIdx[eTType]], uiAbsPartIdx, uiDepth, uiPartIdx );
 }
Index: /branches/HTM-13.1-dev0/source/Lib/TLibCommon/TComDataCU.h
===================================================================
--- /branches/HTM-13.1-dev0/source/Lib/TLibCommon/TComDataCU.h	(revision 1177)
+++ /branches/HTM-13.1-dev0/source/Lib/TLibCommon/TComDataCU.h	(revision 1178)
@@ -436,17 +436,10 @@
   Pel*&         getPCMSampleCr        ()                        { return m_pcIPCMSampleCr;    }
 
-#if H_3D_DISABLE_CHROMA
-  UChar         getCbf    ( UInt uiIdx, TextType eType )                  { assert( getSlice() != NULL ); assert(  g_aucConvertTxtTypeToIdx[eType] == 0 || !getSlice()->getIsDepth() || m_puhCbf[g_aucConvertTxtTypeToIdx[eType]][uiIdx] == 0 );  return m_puhCbf[g_aucConvertTxtTypeToIdx[eType]][uiIdx];  }
-  UChar*        getCbf    ( TextType eType )                              { assert( getSlice() != NULL ); assert(  g_aucConvertTxtTypeToIdx[eType] == 0 || !getSlice()->getIsDepth() || m_puhCbf[g_aucConvertTxtTypeToIdx[eType]] );              return m_puhCbf[g_aucConvertTxtTypeToIdx[eType]];         }  
-#else
   UChar         getCbf    ( UInt uiIdx, TextType eType )                  { return m_puhCbf[g_aucConvertTxtTypeToIdx[eType]][uiIdx];  }
   UChar*        getCbf    ( TextType eType )                              { return m_puhCbf[g_aucConvertTxtTypeToIdx[eType]];         }
-#endif
+
   UChar         getCbf    ( UInt uiIdx, TextType eType, UInt uiTrDepth )  { return ( ( getCbf( uiIdx, eType ) >> uiTrDepth ) & 0x1 ); }
-#if H_3D_DISABLE_CHROMA
-  Void          setCbf    ( UInt uiIdx, TextType eType, UChar uh )        { assert( getSlice() != NULL ); m_puhCbf[g_aucConvertTxtTypeToIdx[eType]][uiIdx] = ( g_aucConvertTxtTypeToIdx[eType] > 0 && getSlice()->getIsDepth() ) ? 0 : uh ;    }
-#else
   Void          setCbf    ( UInt uiIdx, TextType eType, UChar uh )        { m_puhCbf[g_aucConvertTxtTypeToIdx[eType]][uiIdx] = uh;    }
-#endif
+
   Void          clearCbf  ( UInt uiIdx, TextType eType, UInt uiNumParts );
   UChar         getQtRootCbf          ( UInt uiIdx )                      { return getCbf( uiIdx, TEXT_LUMA, 0 ) || getCbf( uiIdx, TEXT_CHROMA_U, 0 ) || getCbf( uiIdx, TEXT_CHROMA_V, 0 ); }
Index: /branches/HTM-13.1-dev0/source/Lib/TLibEncoder/TEncEntropy.cpp
===================================================================
--- /branches/HTM-13.1-dev0/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 1177)
+++ /branches/HTM-13.1-dev0/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 1178)
@@ -581,5 +581,5 @@
 #if H_3D_DIM_SDC
 #if H_3D_DISABLE_CHROMA
-    if(!pcCU->getSDCFlag(uiAbsPartIdx) && ( !pcCU->getSlice()->getIsDepth() || bRD ) ) 
+    if(!pcCU->getSDCFlag(uiAbsPartIdx) && ( pcCU->getSlice()->getSPS()->getChromaFormatIdc() != 0  || bRD ) ) 
 #else
     if(!pcCU->getSDCFlag(uiAbsPartIdx))
Index: /branches/HTM-13.1-dev0/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- /branches/HTM-13.1-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1177)
+++ /branches/HTM-13.1-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1178)
@@ -1518,5 +1518,5 @@
 
 #if H_3D_DISABLE_CHROMA
-    if( !pcCU->getSlice()->getIsDepth() )
+    if( pcCU->getSlice()->getSPS()->getChromaFormatIdc() != 0 )
     {    
 #endif