Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1181)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1182)
@@ -65,5 +65,5 @@
   MAINREXT = 4,
   HIGHTHROUGHPUTREXT = 5, // Placeholder profile for development
-#if MULTIPLE_PTL_SUPPORT
+#if SVC_EXTENSION
   MULTIVIEWMAIN = 6,
   SCALABLEMAIN = 7,
@@ -307,5 +307,5 @@
   {"main-RExt",            Profile::MAINREXT           },
   {"high-throughput-RExt", Profile::HIGHTHROUGHPUTREXT },
-#if MULTIPLE_PTL_SUPPORT
+#if SVC_EXTENSION
   {"multiview-main",       Profile::MULTIVIEWMAIN      },       //This is not used in this software
   {"scalable-main",        Profile::SCALABLEMAIN       },
@@ -346,5 +346,5 @@
     {"main_444_12_intra",  MAIN_444_12_INTRA},
     {"main_444_16_intra",  MAIN_444_16_INTRA},
-#if MULTIPLE_PTL_SUPPORT
+#if SVC_EXTENSION
     {"multiview-main",     MULTIVIEWMAIN    },
     {"scalable-main",      SCALABLEMAIN     },
@@ -495,5 +495,5 @@
 }
 
-#if MULTIPLE_PTL_SUPPORT
+#if SVC_EXTENSION
 namespace Profile
 {
@@ -835,12 +835,10 @@
   Int*    cfg_layerSwitchOffEnd[MAX_LAYERS];
 
-#if MULTIPLE_PTL_SUPPORT
   Bool    tmpIntraConstraintFlag;
   Bool    tmpLowerBitRateConstraintFlag;
   UInt    tmpBitDepthConstraint;
   Int*    cfg_layerPTLIdx[MAX_VPS_LAYER_IDX_PLUS1];
-#endif
-
-  for(UInt layer = 0; layer < MAX_LAYERS; layer++)
+
+  for( UInt layer = 0; layer < MAX_LAYERS; layer++ )
   {
     cfg_InputFile[layer]    = &m_acLayerCfg[layer].m_cInputFile;
@@ -931,7 +929,5 @@
     cfg_layerSwitchOffBegin[layer]  = &m_acLayerCfg[layer].m_layerSwitchOffBegin;
     cfg_layerSwitchOffEnd[layer]    = &m_acLayerCfg[layer].m_layerSwitchOffEnd;
-#if MULTIPLE_PTL_SUPPORT
     cfg_layerPTLIdx[layer]          = &m_acLayerCfg[layer].m_layerPTLIdx; 
-#endif
   }
 
@@ -954,7 +950,5 @@
   string* cfg_listOfOutputLayers     = new string[MAX_VPS_OUTPUT_LAYER_SETS_PLUS1];
   string* cfg_outputLayerSetIdx      = new string;
-#if MULTIPLE_PTL_SUPPORT
   string* cfg_listOfLayerPTLOfOlss   = new string[MAX_VPS_OUTPUT_LAYER_SETS_PLUS1];
-#endif
 #if AVC_BASE
   string  cfg_BLInputFile;
@@ -978,5 +972,5 @@
   Int tmpConstraintChromaFormat;
   string inputColourSpaceConvert;
-#if MULTIPLE_PTL_SUPPORT
+#if SVC_EXTENSION
   ExtendedProfileName extendedProfile[MAX_NUM_LAYER_IDS + 1];
 #else
@@ -1207,5 +1201,5 @@
 
   // Profile and level
-#if MULTIPLE_PTL_SUPPORT
+#if SVC_EXTENSION
   ("NumProfileTierLevel",                             m_numPTLInfo,                                         1, "Number of Profile, Tier and Level information")
   ("Profile%d",                                       extendedProfile,          NONE, (MAX_NUM_LAYER_IDS + 1),  "Profile name to use for encoding. Use main (for main), main10 (for main10), main-still-picture, main-RExt (for Range Extensions profile), any of the RExt specific profile names, or none")
@@ -1876,14 +1870,14 @@
 
 #if SVC_EXTENSION
-  for (Int layer = 0; layer < MAX_LAYERS; layer++)
-  {
-    if (m_acLayerCfg[layer].m_layerSwitchOffBegin < m_acLayerCfg[layer].m_layerSwitchOffEnd)
-    {
-      if (m_iGOPSize > 0 && (m_acLayerCfg[layer].m_layerSwitchOffBegin % m_iGOPSize) != 0)
+  for( Int layer = 0; layer < MAX_LAYERS; layer++)
+  {
+    if( m_acLayerCfg[layer].m_layerSwitchOffBegin < m_acLayerCfg[layer].m_layerSwitchOffEnd )
+    {
+      if( m_iGOPSize > 0 && (m_acLayerCfg[layer].m_layerSwitchOffBegin % m_iGOPSize) != 0 )
       {
         printf("LayerSwitchOffBegin%d: Must be multiple of GOP size.\n", layer);
         exit(EXIT_FAILURE);
       }
-      if (m_acLayerCfg[layer].m_iIntraPeriod > 0 && (m_acLayerCfg[layer].m_layerSwitchOffEnd % m_acLayerCfg[layer].m_iIntraPeriod) != 0)
+      if( m_acLayerCfg[layer].m_iIntraPeriod > 0 && (m_acLayerCfg[layer].m_layerSwitchOffEnd % m_acLayerCfg[layer].m_iIntraPeriod) != 0 )
       {
         printf("LayerSwitchOffEnd%d: Must be IRAP picture.\n", layer);
@@ -1891,10 +1885,5 @@
       }
     }
-  }
-#endif
-
-#if MULTIPLE_PTL_SUPPORT
-  for( Int layer = 0; layer < MAX_LAYERS; layer++ )
-  {
+
     m_acLayerCfg[layer].m_bitDepthConstraint = tmpBitDepthConstraint;
     m_acLayerCfg[layer].m_intraConstraintFlag = tmpIntraConstraintFlag;
@@ -2006,8 +1995,4 @@
   }
 
-#if SVC_EXTENSION
-  ChromaFormat m_chromaFormatIDC = m_acLayerCfg[0].m_chromaFormatIDC;
-#endif
-
   if (m_profile == Profile::HIGHTHROUGHPUTREXT )
   {
@@ -2019,9 +2004,4 @@
     if (m_bitDepthConstraint == 0 && tmpConstraintChromaFormat == 0)
     {
-#if SVC_EXTENSION
-      Bool m_useExtendedPrecision    = m_acLayerCfg[0].m_useExtendedPrecision;
-      Int  m_internalBitDepth[]      = {m_acLayerCfg[0].m_internalBitDepth[CHANNEL_TYPE_LUMA], m_acLayerCfg[0].m_internalBitDepth[CHANNEL_TYPE_CHROMA]};
-      ChromaFormat m_chromaFormatIDC = m_acLayerCfg[0].m_chromaFormatIDC;
-#endif
       // produce a valid combination, if possible.
       const Bool bUsingGeneralRExtTools  = m_useResidualRotation                    ||
@@ -2066,9 +2046,4 @@
   for(Int layer = 0; layer < MAX_LAYERS; layer++)
   {
-#if !MULTIPLE_PTL_SUPPORT
-    m_acLayerCfg[layer].m_chromaFormatConstraint = m_chromaFormatConstraint;
-    m_acLayerCfg[layer].m_bitDepthConstraint = m_bitDepthConstraint;
-#endif
-
     // If number of scaled ref. layer offsets is non-zero, at least one of the offsets should be specified
     if(m_acLayerCfg[layer].m_numRefLayerLocationOffsets)
@@ -2464,10 +2439,8 @@
   scanStringToArray( *cfg_numOutputLayersInOutputLayerSet, m_numOutputLayerSets - 1, "NumOutputLayersInOutputLayerSets", m_numOutputLayersInOutputLayerSet );
   m_numOutputLayersInOutputLayerSet.insert(m_numOutputLayersInOutputLayerSet.begin(), 1);
+
   // Layers in the output layer set
   m_listOfOutputLayers.resize(m_numOutputLayerSets);
-
-#if MULTIPLE_PTL_SUPPORT
   m_listOfLayerPTLofOlss.resize(m_numOutputLayerSets);
-#endif
 
   Int startOlsCtr = 1;
@@ -2477,4 +2450,5 @@
     startOlsCtr = m_numLayerSets;
   }
+
   for( Int olsCtr = 1; olsCtr < m_numOutputLayerSets; olsCtr++ )
   {
@@ -2490,9 +2464,9 @@
       assert( scanStringToArray( cfg_listOfOutputLayers[olsCtr], m_numOutputLayersInOutputLayerSet[olsCtr], "ListOfOutputLayers", m_listOfOutputLayers[olsCtr] ) );
     }
-#if MULTIPLE_PTL_SUPPORT
+
     Int olsToLsIndex = (olsCtr >= (m_numLayerSets + m_numAddLayerSets)) ? m_outputLayerSetIdx[olsCtr - (m_numLayerSets + m_numAddLayerSets)] : olsCtr;
 
     // This is a fix to allow setting of PTL for additional layer sets
-    if (olsCtr >= m_numLayerSets && olsCtr < (m_numLayerSets + m_numAddLayerSets))
+    if( olsCtr >= m_numLayerSets && olsCtr < (m_numLayerSets + m_numAddLayerSets) )
     {
       scanStringToArrayNumEntries(cfg_listOfLayerPTLOfOlss[olsCtr], m_numLayerInIdList[olsToLsIndex], "List of PTL for each layers in OLS", m_listOfLayerPTLofOlss[olsCtr]);
@@ -2521,10 +2495,8 @@
       }
     }
-#endif
-  }
-#if MULTIPLE_PTL_SUPPORT
+  }
+
   m_listOfLayerPTLofOlss[0].push_back(*cfg_layerPTLIdx[0]);
   delete [] cfg_listOfLayerPTLOfOlss;
-#endif
   delete cfg_numOutputLayersInOutputLayerSet;
   delete [] cfg_listOfOutputLayers;
@@ -2905,5 +2877,4 @@
   m_saoOffsetBitShift[CHANNEL_TYPE_CHROMA] = m_acLayerCfg[layerIdx].m_saoOffsetBitShift[CHANNEL_TYPE_CHROMA];
 
-#if MULTIPLE_PTL_SUPPORT
   Int layerPTLIdx = m_acLayerCfg[layerIdx].m_layerPTLIdx;
   Profile::Name m_profile           = m_profileList[layerPTLIdx];
@@ -2911,5 +2882,4 @@
   Bool m_intraConstraintFlag        = m_acLayerCfg[layerIdx].m_intraConstraintFlag;
   Bool m_lowerBitRateConstraintFlag = m_acLayerCfg[layerIdx].m_lowerBitRateConstraintFlag;
-#endif
 #else
 Void TAppEncCfg::xCheckParameter()
@@ -2925,5 +2895,5 @@
     fprintf(stderr, "******************************************************************\n");
   }
-#if SVC_EXTENSION && MULTIPLE_PTL_SUPPORT
+#if SVC_EXTENSION
   Int ii = 0;
   while( ii < m_numPTLInfo )
@@ -3019,5 +2989,5 @@
   else
   {
-#if MULTIPLE_PTL_SUPPORT
+#if SVC_EXTENSION
     xConfirmPara(m_bitDepthConstraint!=((m_profile==Profile::MAIN10 || m_profile==Profile::SCALABLEMAIN10)?10:8), "BitDepthConstraint must be 8 for MAIN profile and 10 for MAIN10 or Scalable-main10 profile.");
 #else
@@ -4434,5 +4404,5 @@
     printf("Frame index                       : %u - %d (%d frames)\n", m_FrameSkip, m_FrameSkip+m_framesToBeEncoded-1, m_framesToBeEncoded );
   }
-#if !MULTIPLE_PTL_SUPPORT
+#if !SVC_EXTENSION
   if (m_profile == Profile::MAINREXT)
   {
Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 1181)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 1182)
@@ -124,5 +124,5 @@
   Bool      m_cabacZeroWordPaddingEnabled;
 
-#if MULTIPLE_PTL_SUPPORT
+#if SVC_EXTENSION
   Int           m_numPTLInfo;
   Profile::Name m_profileList[MAX_NUM_LAYER_IDS + 1];
Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncLayerCfg.cpp
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncLayerCfg.cpp	(revision 1181)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncLayerCfg.cpp	(revision 1182)
@@ -220,7 +220,5 @@
 #endif
   printf("Internal Format                   : %dx%d %dHz\n", m_iSourceWidth, m_iSourceHeight, m_iFrameRate );
-#if MULTIPLE_PTL_SUPPORT
   printf("PTL index                         : %d\n", m_layerPTLIdx );
-#endif
 #if O0194_DIFFERENT_BITDEPTH_EL_BL
   printf("Input bit depth                   : (Y:%d, C:%d)\n", m_inputBitDepth[CHANNEL_TYPE_LUMA], m_inputBitDepth[CHANNEL_TYPE_CHROMA] );
Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncLayerCfg.h
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncLayerCfg.h	(revision 1181)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncLayerCfg.h	(revision 1182)
@@ -147,8 +147,6 @@
   Int       m_layerSwitchOffEnd;
 
-#if MULTIPLE_PTL_SUPPORT
   // profile/level
   Int       m_layerPTLIdx;
-#endif
 
 public:
Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1181)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1182)
@@ -193,5 +193,4 @@
 #endif
 
-#if MULTIPLE_PTL_SUPPORT
   //Populate PTL in VPS
   TComVPS *pVPS = m_acTEncTop[0].getVPS();
@@ -209,16 +208,15 @@
   pVPS->setNumProfileTierLevel(m_numPTLInfo);
 
-  std::vector<int> myvector;
+  std::vector<Int> myvector;
   vps->getProfileLevelTierIdx()->resize(m_numOutputLayerSets);
-  for (int ii = 0; ii < m_numOutputLayerSets; ii++)
+  for( Int ii = 0; ii < m_numOutputLayerSets; ii++ )
   {
     myvector =  m_listOfLayerPTLofOlss[ii];
 
-    for (std::vector<int>::iterator it = myvector.begin() ; it != myvector.end(); ++it)
+    for( std::vector<Int>::iterator it = myvector.begin() ; it != myvector.end(); ++it )
     {
       pVPS->addProfileLevelTierIdx(ii, it[0]);
     }
   }
-#endif
 
   assert( m_numLayers <= MAX_LAYERS );
@@ -243,5 +241,4 @@
 #endif
     
-#if MULTIPLE_PTL_SUPPORT
     Int layerPTLIdx = m_acLayerCfg[layer].m_layerPTLIdx;
     m_acTEncTop[layer].setProfile                                         ( m_profileList[layerPTLIdx] );
@@ -255,16 +252,4 @@
     m_acTEncTop[layer].setIntraConstraintFlag                             ( m_acLayerCfg[layer].m_intraConstraintFlag );
     m_acTEncTop[layer].setLowerBitRateConstraintFlag                      ( m_acLayerCfg[layer].m_lowerBitRateConstraintFlag );
-#else
-    m_acTEncTop[layer].setProfile                                         ( m_profile );
-    m_acTEncTop[layer].setLevel                                           ( m_levelTier, m_level );
-    m_acTEncTop[layer].setProgressiveSourceFlag                           ( m_progressiveSourceFlag );
-    m_acTEncTop[layer].setInterlacedSourceFlag                            ( m_interlacedSourceFlag );
-    m_acTEncTop[layer].setNonPackedConstraintFlag                         ( m_nonPackedConstraintFlag );
-    m_acTEncTop[layer].setFrameOnlyConstraintFlag                         ( m_frameOnlyConstraintFlag );
-    m_acTEncTop[layer].setBitDepthConstraintValue                         ( m_bitDepthConstraint );
-    m_acTEncTop[layer].setChromaFormatConstraintValue                     ( m_acLayerCfg[layer].m_chromaFormatConstraint );
-    m_acTEncTop[layer].setIntraConstraintFlag                             ( m_intraConstraintFlag );
-    m_acTEncTop[layer].setLowerBitRateConstraintFlag                      ( m_lowerBitRateConstraintFlag );
-#endif
 
     m_acTEncTop[layer].setPrintMSEBasedSequencePSNR                       ( m_printMSEBasedSequencePSNR);
@@ -1555,31 +1540,8 @@
   vps->deriveNecessaryLayerFlag();
   vps->checkNecessaryLayerFlagCondition();
-
-#if !MULTIPLE_PTL_SUPPORT
-  vps->getProfileLevelTierIdx()->resize(vps->getNumOutputLayerSets());
-  vps->getProfileLevelTierIdx(0)->push_back( vps->getBaseLayerInternalFlag() && vps->getMaxLayers() > 1 ? 1 : 0 ); // Default 0-th output layer set
-  for(i = 1; i < vps->getNumOutputLayerSets(); i++)
-  {
-    Int layerSetIdxForOutputLayerSet = vps->getOutputLayerSetIdx( i );
-    Int numLayerInLayerSet = vps->getNumLayersInIdList( layerSetIdxForOutputLayerSet );
-    for(Int j = 0; j < numLayerInLayerSet; j++)
-    {
-      Int layerIdxInVps = vps->getLayerIdxInVps( vps->getLayerSetLayerIdList(layerSetIdxForOutputLayerSet, j) );
-      if( vps->getNecessaryLayerFlag(i, j) )
-      {
-        vps->getProfileLevelTierIdx(i)->push_back( vps->getBaseLayerInternalFlag() && vps->getMaxLayers() > 1 ? layerIdxInVps + 1 : layerIdxInVps);
-      }
-      else
-      {
-        vps->getProfileLevelTierIdx(i)->push_back( -1 );
-      }
-    }
-  }
-#endif
-
   vps->calculateMaxSLInLayerSets();
 
   // Initialize dpb_size_table() for all ouput layer sets in the VPS extension
-  for(i = 1; i < vps->getNumOutputLayerSets(); i++)
+  for( i = 1; i < vps->getNumOutputLayerSets(); i++ )
   {
     Int layerSetIdxForOutputLayerSet = vps->getOutputLayerSetIdx( i );
@@ -1601,4 +1563,5 @@
   }
 #endif
+
     vps->setMaxOneActiveRefLayerFlag(maxDirectRefLayers > 1 ? false : true);
 #if O0062_POC_LSB_NOT_PRESENT_FLAG
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1181)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1182)
@@ -582,6 +582,4 @@
   UInt        m_numOpSets;
   Bool        m_layerIdIncludedFlag[MAX_VPS_OP_SETS_PLUS1][MAX_VPS_NUH_RESERVED_ZERO_LAYER_ID_PLUS1];
-#endif
-#if !MULTIPLE_PTL_SUPPORT
   TComPTL     m_pcPTL;
 #endif
@@ -591,7 +589,5 @@
   Bool        m_baseLayerInternalFlag;
   Bool        m_baseLayerAvailableFlag;
-#if MULTIPLE_PTL_SUPPORT
   TComPTL     m_pcPTLList[MAX_NUM_LAYER_IDS + 1];
-#endif
 
   std::vector< std::vector<Int> >     m_layerSetLayerIdList;
@@ -623,5 +619,5 @@
   // Profile-tier-level signalling related
   Bool       m_profilePresentFlag[MAX_VPS_LAYER_SETS_PLUS1];    // The value with index 0 will not be used.
-#if !MULTIPLE_PTL_SUPPORT
+#if !SVC_EXTENSION
   std::vector<TComPTL>    m_pcPTLForExtn;  
 #endif
@@ -811,5 +807,5 @@
   Void    setLayerIdIncludedFlag(Bool v, UInt opsIdx, UInt id)  { m_layerIdIncludedFlag[opsIdx][id] = v;    }
 
-#if !MULTIPLE_PTL_SUPPORT
+#if !SVC_EXTENSION
   TComPTL* getPTL() { return &m_pcPTL; }
 #endif
@@ -847,8 +843,7 @@
   }
 #endif
-#if MULTIPLE_PTL_SUPPORT
-  TComPTL* getPTL() { return &m_pcPTLList[0]; }
-  TComPTL* getPTL(UInt idx) { return &m_pcPTLList[idx]; }
-#endif
+  TComPTL* getPTL()                                             { return &m_pcPTLList[0]; }
+  TComPTL* getPTL(UInt idx)                                     { return &m_pcPTLList[idx]; }
+
   Int     getLayerSetLayerIdList(Int set, Int layerId)          { return m_layerSetLayerIdList[set][layerId]; }
   Void    setLayerSetLayerIdList(Int set, Int layerId, Int x)   { m_layerSetLayerIdList[set][layerId] = x;    }
@@ -928,8 +923,4 @@
   Void   setProfilePresentFlag(Int id, Bool x)                  { m_profilePresentFlag[id] = x;    }
 
-#if !MULTIPLE_PTL_SUPPORT
-  std::vector<TComPTL>* getPTLForExtnPtr()                      { return &m_pcPTLForExtn;          }
-  TComPTL* getPTLForExtn(Int id)                                { return &m_pcPTLForExtn[id];      }
-#endif
   // Target output layer signalling related
   UInt   getNumOutputLayerSets()                                { return m_numOutputLayerSets;     } 
@@ -976,7 +967,5 @@
   Int    getProfileLevelTierIdx(Int const olsIdx, Int const layerIdx)                   { return m_profileLevelTierIdx[olsIdx][layerIdx]; }
   Void   setProfileLevelTierIdx(Int const olsIdx, Int const layerIdx, Int const ptlIdx) { m_profileLevelTierIdx[olsIdx][layerIdx] = ptlIdx; }
-#if MULTIPLE_PTL_SUPPORT
   Void   addProfileLevelTierIdx(Int const olsIdx, Int const ptlIdx)             { m_profileLevelTierIdx[olsIdx].push_back(ptlIdx); }
-#endif
   Int    calculateLenOfSyntaxElement( Int const numVal );
 
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1181)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1182)
@@ -117,9 +117,6 @@
 #define O0062_POC_LSB_NOT_PRESENT_FLAG   1      ///< JCTVC-O0062: signal poc_lsb_not_present_flag for each layer in VPS extension
 
-#define MULTIPLE_PTL_SUPPORT             1      ///< Profile, tier and level signalling
-
 #define VPS_DPB_SIZE_TABLE               1      ///< JCTVC-O0217: DPB operations: signaling DPB-related parameters
 
-#define DPB_PARAMS_MAXTLAYERS            1      ///< JCTVC-P0156 DPB parameters up to maximum temporal sub-layers in the layer set
 #define NO_CLRAS_OUTPUT_FLAG             1
 
@@ -783,5 +780,5 @@
     MAINREXT = 4,
     HIGHTHROUGHPUTREXT = 5,
-#if MULTIPLE_PTL_SUPPORT
+#if SVC_EXTENSION
     MULTIVIEWMAIN = 6,
     SCALABLEMAIN = 7,
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1181)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1182)
@@ -2109,5 +2109,5 @@
   for (Int i = 0; i < maxNumSubLayersMinus1; i++)
   {
-#if MULTIPLE_PTL_SUPPORT
+#if SVC_EXTENSION
     READ_FLAG( uiCode, "sub_layer_profile_present_flag[i]" ); rpcPTL->setSubLayerProfilePresentFlag(i, uiCode);
 #else
@@ -2131,5 +2131,5 @@
   for(Int i = 0; i < maxNumSubLayersMinus1; i++)
   {
-#if MULTIPLE_PTL_SUPPORT
+#if SVC_EXTENSION
     if( rpcPTL->getSubLayerProfilePresentFlag(i) )
 #else
@@ -2183,5 +2183,5 @@
     READ_FLAG(    uiCode, "general_one_picture_only_constraint_flag");
     READ_FLAG(    uiCode, "general_lower_bit_rate_constraint_flag"); ptl->setLowerBitRateConstraintFlag(uiCode != 0);
-#if MULTIPLE_PTL_SUPPORT
+#if SVC_EXTENSION
     READ_CODE(32, uiCode, "general_reserved_zero_34bits");  READ_CODE(2, uiCode, "general_reserved_zero_34bits");
   }
@@ -2662,12 +2662,5 @@
   {
     vps->setProfilePresentFlag(1, false);
-#if MULTIPLE_PTL_SUPPORT
     parsePTL( vps->getPTL(1), vps->getProfilePresentFlag(1), vps->getMaxTLayers() - 1 );
-#else
-    vps->getPTLForExtnPtr()->empty();
-    vps->getPTLForExtnPtr()->resize(2);
-    vps->getPTLForExtn(1)->copyProfileInfo( vps->getPTL() );
-    parsePTL( vps->getPTLForExtn(1), vps->getProfilePresentFlag(1), vps->getMaxTLayers() - 1 );
-#endif
   }
 
@@ -2857,25 +2850,16 @@
 
   Int const numBitsForPtlIdx = vps->calculateLenOfSyntaxElement( vps->getNumProfileTierLevel() );
-#if !MULTIPLE_PTL_SUPPORT
-  vps->getPTLForExtnPtr()->resize(vps->getNumProfileTierLevel());
-#endif
-
-  for(Int idx = vps->getBaseLayerInternalFlag() ? 2 : 1; idx < vps->getNumProfileTierLevel(); idx++)
+
+  for( Int idx = vps->getBaseLayerInternalFlag() ? 2 : 1; idx < vps->getNumProfileTierLevel(); idx++ )
   {
     READ_FLAG( uiCode, "vps_profile_present_flag[i]" ); vps->setProfilePresentFlag(idx, uiCode ? true : false);
+
     if( !vps->getProfilePresentFlag(idx) )
     {
       // Copy profile information from previous one
-#if MULTIPLE_PTL_SUPPORT
       vps->getPTL(idx)->copyProfileInfo( vps->getPTL( idx - 1 ) );
-#else
-      vps->getPTLForExtn(idx)->copyProfileInfo( (idx==1) ? vps->getPTL() : vps->getPTLForExtn( idx - 1 ) );
-#endif
-    }
-#if MULTIPLE_PTL_SUPPORT
+    }
+
     parsePTL( vps->getPTL(idx), vps->getProfilePresentFlag(idx), vps->getMaxTLayers() - 1 );
-#else
-    parsePTL( vps->getPTLForExtn(idx), vps->getProfilePresentFlag(idx), vps->getMaxTLayers() - 1 );
-#endif
   }
 
@@ -2952,5 +2936,6 @@
 
     vps->getProfileLevelTierIdx(i)->assign(vps->getNumLayersInIdList(layerSetIdxForOutputLayerSet), -1);
-    for(j = 0; j < vps->getNumLayersInIdList(layerSetIdxForOutputLayerSet) ; j++)
+
+    for( j = 0; j < vps->getNumLayersInIdList(layerSetIdxForOutputLayerSet); j++ )
     {
       if( vps->getNecessaryLayerFlag(i, j) && (vps->getNumProfileTierLevel()-1) > 0 )
@@ -2959,5 +2944,4 @@
         vps->setProfileLevelTierIdx(i, j, uiCode );
 
-#if MULTIPLE_PTL_SUPPORT
         //For conformance checking
         //Conformance of a layer in an output operation point associated with an OLS in a bitstream to the Scalable Main profile is indicated as follows:
@@ -2977,5 +2961,4 @@
           }
         }
-#endif
       }
     }
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1181)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1182)
@@ -1333,5 +1333,5 @@
   for (Int i = 0; i < maxNumSubLayersMinus1; i++)
   {
-#if MULTIPLE_PTL_SUPPORT
+#if SVC_EXTENSION
     WRITE_FLAG( pcPTL->getSubLayerProfilePresentFlag(i), "sub_layer_profile_present_flag[i]" );
 #else
@@ -1355,5 +1355,5 @@
   for(Int i = 0; i < maxNumSubLayersMinus1; i++)
   {
-#if MULTIPLE_PTL_SUPPORT
+#if SVC_EXTENSION
     if( pcPTL->getSubLayerProfilePresentFlag(i) )
 #else
@@ -1373,5 +1373,5 @@
   WRITE_CODE( ptl->getProfileSpace(), 2 ,     "XXX_profile_space[]");
   WRITE_FLAG( ptl->getTierFlag()==Level::HIGH, "XXX_tier_flag[]"    );
-#if MULTIPLE_PTL_SUPPORT
+#if SVC_EXTENSION
   WRITE_CODE( (ptl->getProfileIdc() == Profile::SCALABLEMAIN || ptl->getProfileIdc() == Profile::SCALABLEMAIN10) ? 7 : Int(ptl->getProfileIdc()), 5 ,  "XXX_profile_idc[]"  );
 #else
@@ -1401,5 +1401,5 @@
     WRITE_FLAG(0,                                    "general_one_picture_only_constraint_flag");
     WRITE_FLAG(ptl->getLowerBitRateConstraintFlag(), "general_lower_bit_rate_constraint_flag");
-#if MULTIPLE_PTL_SUPPORT
+#if SVC_EXTENSION
     WRITE_CODE(0, 32,  "general_reserved_zero_34bits");  WRITE_CODE(0, 2,  "general_reserved_zero_34bits");
   }
@@ -1977,9 +1977,5 @@
   if( vps->getMaxLayers() > 1 && vps->getBaseLayerInternalFlag() )
   {
-#if MULTIPLE_PTL_SUPPORT
     codePTL( vps->getPTL(1), false, vps->getMaxTLayers() - 1 );
-#else
-    codePTL( vps->getPTLForExtn(1), false, vps->getMaxTLayers() - 1 );
-#endif
   }
 
@@ -2112,20 +2108,13 @@
   Int const numBitsForPtlIdx = vps->calculateLenOfSyntaxElement( vps->getNumProfileTierLevel() );
 
-#if MULTIPLE_PTL_SUPPORT
   //Do something here to make sure the loop is correct to consider base layer internal stuff
-#else
-  assert( vps->getNumProfileTierLevel() == vps->getPTLForExtnPtr()->size());
-#endif
-  for(Int idx = vps->getBaseLayerInternalFlag() ? 2 : 1; idx < vps->getNumProfileTierLevel(); idx++)
-  {
-#if MULTIPLE_PTL_SUPPORT
+
+  for( Int idx = vps->getBaseLayerInternalFlag() ? 2 : 1; idx < vps->getNumProfileTierLevel(); idx++ )
+  {
     vps->setProfilePresentFlag(idx, true);
-#endif
+
     WRITE_FLAG( vps->getProfilePresentFlag(idx),       "vps_profile_present_flag[i]" );
-#if MULTIPLE_PTL_SUPPORT
+
     codePTL( vps->getPTL(idx), vps->getProfilePresentFlag(idx), vps->getMaxTLayers() - 1 );
-#else
-    codePTL( vps->getPTLForExtn(idx), vps->getProfilePresentFlag(idx), vps->getMaxTLayers() - 1 );
-#endif
   }
 
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1181)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1182)
@@ -240,10 +240,8 @@
 
   // set the VPS profile information
-#if !MULTIPLE_PTL_SUPPORT
-  *m_cVPS.getPTL() = *m_cSPS.getPTL();
-#endif
 #if VPS_VUI_BSP_HRD_PARAMS
   m_cVPS.getTimingInfo()->setTimingInfoPresentFlag       ( true );
 #else
+  *m_cVPS.getPTL() = *m_cSPS.getPTL();
   m_cVPS.getTimingInfo()->setTimingInfoPresentFlag       ( false );
 #endif