Index: branches/HTM-14.0-dev0/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1185)
@@ -225,8 +225,6 @@
   }
 #endif
-#if HHI_INTER_COMP_PRED_K0052
 #if H_3D
   in>>entry.m_interCompPredFlag;
-#endif
 #endif
   return in;
@@ -482,5 +480,5 @@
   ("FastSearch",              m_iFastSearch,                1, "0:Full search  1:Diamond  2:PMVFAST")
   ("SearchRange,-sr",         m_iSearchRange,              96, "Motion search range")
-#if SONY_MV_V_CONST_C0078
+#if H_MV
   ("DispSearchRangeRestriction",  m_bUseDisparitySearchRangeRestriction, false, "restrict disparity search range")
   ("VerticalDispSearchRange",     m_iVerticalDisparitySearchRange, 56, "vertical disparity search range")
@@ -794,9 +792,5 @@
   ("QtPredFlag"            , m_qtPredFlag            , true                                           , "Quad tree prediction from texture to depth")
   ("InterSdcFlag"          , m_interSdcFlag          , true                                           , "Inter depth DCs"                           )
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
   ("DepthIntraSkip"        , m_depthIntraSkipFlag    , true                                           , "Depth intra skip mode"                     )
-#else
-  ("IntraSingleFlag"       , m_intraSingleFlag       , true                                           , "Intra single mode"                         )
-#endif
 #endif //H_3D
   ;
@@ -1559,9 +1553,5 @@
     {
       xConfirmPara( m_directRefLayers[i][j] < 0 || m_directRefLayers[i][j] >= i , "Reference layer id shall be greater than or equal to 0 and less than dependent layer id"); 
-#if H_3D_DIRECT_DEP_TYPE
       xConfirmPara( m_dependencyTypes[i][j] < 0 || m_dependencyTypes[i][j] >  6 , "Dependency type shall be greater than or equal to 0 and less than 7");
-#else
-      xConfirmPara( m_dependencyTypes[i][j] < 0 || m_dependencyTypes[i][j] >  2 , "Dependency type shall be greater than or equal to 0 and less than 3");
-#endif 
     }        
   }  
@@ -1599,5 +1589,5 @@
   xConfirmPara( m_iSearchRange < 0 ,                                                        "Search Range must be more than 0" );
   xConfirmPara( m_bipredSearchRange < 0 ,                                                   "Search Range must be more than 0" );
-#if SONY_MV_V_CONST_C0078
+#if H_MV
   xConfirmPara( m_iVerticalDisparitySearchRange <= 0 ,                                      "Vertical Disparity Search Range must be more than 0" );
 #endif
@@ -1716,13 +1706,5 @@
   xConfirmPara( m_pchCameraParameterFile    == 0                ,   "CameraParameterFile must be given");
   xConfirmPara( m_pchBaseViewCameraNumbers  == 0                ,   "BaseViewCameraNumbers must be given" );
-#if BUG_FIX_TK65
-#if HHI_CAM_PARA_K0052
   xConfirmPara( m_iNumberOfViews != m_cCameraData.getBaseViewNumbers().size() ,   "Number of Views in BaseViewCameraNumbers must be equal to NumberOfViews" );
-#else
-  xConfirmPara( ( ((UInt) m_numberOfLayers >> 1 ) != m_cCameraData.getBaseViewNumbers().size() ) && ( m_numberOfLayers != m_cCameraData.getBaseViewNumbers().size() ),   "Number of Views in BaseViewCameraNumbers must be equal to NumberOfViews" );
-#endif
-#else
-  xConfirmPara( ((UInt) m_numberOfLayers >> 1 ) != m_cCameraData.getBaseViewNumbers().size(),   "Number of Views in BaseViewCameraNumbers must be equal to NumberOfViews" );
-#endif
   xConfirmPara    ( m_iCodedCamParPrecision < 0 || m_iCodedCamParPrecision > 5,       "CodedCamParsPrecision must be in range of 0..5" );
 #if H_3D_VSO
@@ -2477,5 +2459,5 @@
   printf("Min PCM size                 : %d\n", 1 << m_uiPCMLog2MinSize);
   printf("Motion search range          : %d\n", m_iSearchRange );
-#if SONY_MV_V_CONST_C0078
+#if H_MV
   printf("Disp search range restriction: %d\n", m_bUseDisparitySearchRangeRestriction );
   printf("Vertical disp search range   : %d\n", m_iVerticalDisparitySearchRange );
@@ -2632,9 +2614,5 @@
   printf( "QtPred:%d "                 , m_qtPredFlag             ? 1 : 0 );
   printf( "InterSdc:%d "               , m_interSdcFlag           ? 1 : 0 );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
   printf( "DepthIntraSkip:%d "         , m_depthIntraSkipFlag     ? 1 : 0 );
-#else
-  printf( "IntraSingle:%d "            , m_intraSingleFlag        ? 1 : 0 );
-#endif
 #endif
 
Index: branches/HTM-14.0-dev0/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- branches/HTM-14.0-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/App/TAppEncoder/TAppEncCfg.h	(revision 1185)
@@ -289,5 +289,5 @@
   Int       m_iSearchRange;                                   ///< ME search range
   Int       m_bipredSearchRange;                              ///< ME search range for bipred refinement
-#if SONY_MV_V_CONST_C0078
+#if H_MV
   Bool      m_bUseDisparitySearchRangeRestriction;            ///< restrict vertical search range for inter-view prediction
   Int       m_iVerticalDisparitySearchRange;                  ///< ME vertical search range for inter-view prediction
@@ -488,9 +488,5 @@
   Bool                   m_qtPredFlag;
   Bool                   m_interSdcFlag;
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
   Bool                   m_depthIntraSkipFlag; 
-#else
-  Bool                   m_intraSingleFlag;
-#endif
 #endif
   // internal member functions
Index: branches/HTM-14.0-dev0/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1185)
@@ -140,9 +140,5 @@
   xSetVPSVUI               ( vps ); 
 #if H_3D
-#if HHI_CAM_PARA_K0052
   xSetCamPara              ( vps ); 
-#endif
-#endif
-#if H_3D
   m_ivPicLists.setVPS      ( &vps );
   xDeriveDltArray          ( vps, dlt );
@@ -201,9 +197,5 @@
       m_sps3dExtension.setQtPredFlag            ( d, m_qtPredFlag            );
       m_sps3dExtension.setInterSdcFlag          ( d, m_interSdcFlag          );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
       m_sps3dExtension.setDepthIntraSkipFlag    ( d, m_depthIntraSkipFlag    );  
-#else
-      m_sps3dExtension.setIntraSingleFlag       ( d, m_intraSingleFlag       );  
-#endif
     }
   }
@@ -229,11 +221,4 @@
     //====== Camera Parameters =========
     m_cTEncTop.setCameraParameters             ( &m_cCameraData );     
-#if !HHI_CAM_PARA_K0052
-    m_cTEncTop.setCamParPrecision              ( m_cCameraData.getCamParsCodedPrecision  () );
-    m_cTEncTop.setCamParInSliceHeader          ( m_cCameraData.getVaryingCameraParameters() );
-
-    m_cTEncTop.setCodedScale                   ( m_cCameraData.getCodedScale             () );
-    m_cTEncTop.setCodedOffset                  ( m_cCameraData.getCodedOffset            () );
-#endif
 #if H_3D_VSO
     //====== VSO =========
@@ -359,5 +344,5 @@
   m_cTEncTop.setBipredSearchRange            ( m_bipredSearchRange );
 
-#if SONY_MV_V_CONST_C0078
+#if H_MV
   m_cTEncTop.setUseDisparitySearchRangeRestriction ( m_bUseDisparitySearchRangeRestriction );
   m_cTEncTop.setVerticalDisparitySearchRange ( m_iVerticalDisparitySearchRange );
@@ -651,5 +636,4 @@
   }
 #endif
-#if H_3D_ANNEX_SELECTION_FIX
 #if H_3D
  /// SET Profiles
@@ -692,5 +676,4 @@
   }
 #endif
-#endif
 #if H_3D_VSO
   if ( m_bUseVSO )
@@ -799,11 +782,4 @@
 {
 #if H_3D
-#if !HHI_CAM_PARA_K0052
-  for ( Int viewIndex = 0; viewIndex < m_vps->getNumViews(); viewIndex++ )
-  {
-    m_vps->initCamParaVPS( viewIndex, true, m_cCameraData.getCamParsCodedPrecision(), 
-      m_cCameraData.getVaryingCameraParameters(), m_cCameraData.getCodedScale(), m_cCameraData.getCodedOffset() );
-  }
-#endif
 #endif
 
@@ -1143,9 +1119,5 @@
       if (m_pchReconFileList[layerId])
       {
-#if H_MV_ALIGN_HM_15
         m_acTVideoIOYuvReconFileList[layerId]->write( pcPicYuvRecTop, pcPicYuvRecBottom, m_confWinLeft, m_confWinRight, m_confWinTop, m_confWinBottom, m_isTopFieldFirst );
-#else
-        m_acTVideoIOYuvReconFileList[layerId]->write( pcPicYuvRecTop, pcPicYuvRecBottom, m_confLeft, m_confRight, m_confTop, m_confBottom, m_isTopFieldFirst );
-#endif
       }
     }
@@ -1200,9 +1172,5 @@
       if (m_pchReconFileList[layerId])
       {
-#if H_MV_ALIGN_HM_15
         m_acTVideoIOYuvReconFileList[layerId]->write( pcPicYuvRec, m_confWinLeft, m_confWinRight, m_confWinTop, m_confWinBottom );
-#else
-        m_acTVideoIOYuvReconFileList[layerId]->write( pcPicYuvRec, m_confLeft, m_confRight, m_confTop, m_confBottom );
-#endif
       }    
     }
@@ -1390,9 +1358,7 @@
 
 
-#if HHI_INTER_COMP_PRED_K0052
 #if H_3D
   vps.initViewCompLayer( ); 
 #endif
-#endif
 }
 
@@ -1412,7 +1378,5 @@
   Bool defaultDirectDependencyFlag = false; 
 
-#if H_3D_DIRECT_DEP_TYPE
   Int directDepTypeLenMinus2 = 0;  
-#endif
   for( Int depLayer = 1; depLayer < m_numberOfLayers; depLayer++ )
   {
@@ -1424,7 +1388,5 @@
       vps.setDirectDependencyFlag( depLayer, refLayer, true); 
       Int curDirectDependencyType = m_dependencyTypes[depLayer][i]; 
-#if H_3D_DIRECT_DEP_TYPE        
       directDepTypeLenMinus2 = std::max( directDepTypeLenMinus2, gCeilLog2( curDirectDependencyType + 1  ) - 2 );  
-#endif
       if ( defaultDirectDependencyType != -1 )    
       {
@@ -1444,8 +1406,6 @@
   vps.setDefaultDirectDependencyType( defaultDirectDependencyFlag ? defaultDirectDependencyType : -1 );       
 
-#if H_3D_DIRECT_DEP_TYPE        
   assert( directDepTypeLenMinus2 <= 1 ); 
   vps.setDirectDepTypeLenMinus2( directDepTypeLenMinus2 ); 
-#endif
 
 
@@ -1495,15 +1455,6 @@
 #endif
               {
-#if !HHI_INTER_COMP_PRED_K0052                
-                Bool refAlwaysIntra = ( i == getGOPSize() ) && ( m_iIntraPeriod[ curLayerIdInVps ] % m_iIntraPeriod[ refLayerIdInVps ] == 0 );
-#endif
                 Bool refLayerZero   = ( i == getGOPSize() ) && ( refLayerIdInVps == 0 );
-#if HHI_INTER_COMP_PRED_K0052
-                // refAlwaysIntra actually not needed, since TemporalIds need to be aligned within an AU. 
-                // Thus, reference pictures of IRAP pictures have TemporalId equal to 0.
                 maxTid = std::max( maxTid, refLayerZero ? 0 : geRef.m_temporalId ); 
-#else
-                maxTid = std::max( maxTid, ( refAlwaysIntra || refLayerZero ) ? 0 : geRef.m_temporalId ); 
-#endif
               }
             }
@@ -1513,5 +1464,4 @@
         else
         {        
-#if HHI_INTER_COMP_PRED_K0052
           if( m_depthFlag[ curLayerIdInVps ] && ( m_mpiFlag|| m_qtPredFlag || m_intraContourFlag ) ) 
           {          
@@ -1552,36 +1502,4 @@
             }
           }        
-#else
-          if( m_depthFlag[ curLayerIdInVps ] && ( m_mpiFlag|| m_qtPredFlag || m_intraContourFlag ) ) 
-          {          
-            Int nuhLayerIdTex = vps.getLayerIdInNuh( vps.getViewIndex( curLayerIdInNuh ), false ); 
-            if ( nuhLayerIdTex == refLayerIdInNuh )
-            {
-              maxTid = std::max( maxTid, vps.getSubLayersVpsMaxMinus1( refLayerIdInVps) + 1 );
-            }
-          }
-          if( !m_depthFlag[ curLayerIdInVps ] && vps.getNumRefListLayers( curLayerIdInNuh) > 0  && ( m_depthRefinementFlag || m_viewSynthesisPredFlag || m_depthBasedBlkPartFlag ) ) 
-          {  
-            Int maxPresentTid =-1; 
-            Bool allPresent = true; 
-            for (Int i = 0; i < vps.getNumRefListLayers( curLayerIdInNuh); i++ )
-            {
-              Int nuhLayerIdDep = vps.getLayerIdInNuh( vps.getViewIndex( vps.getIdRefListLayer(curLayerIdInNuh, i ) ), true ); 
-              if ( nuhLayerIdDep== refLayerIdInNuh )
-              {
-                maxPresentTid= std::max( maxTid, vps.getSubLayersVpsMaxMinus1( refLayerIdInVps) + 1 );              
-              }
-              else
-              {
-                allPresent = false; 
-              }
-            }
-
-            if ( allPresent )
-            {
-              maxTid= std::max( maxTid, maxPresentTid );              
-            }
-          }        
-#endif
         }
       } // if ( vps.getDirectDependencyFlag( curLayerIdInVps, refLayerIdInVps ) ) 
@@ -1823,5 +1741,4 @@
     // ToDo not supported yet. 
     //repFormat->setSeparateColourPlaneVpsFlag( );
-#if H_MV_FIX_CONF_WINDOW
     Bool conformanceWindowVpsFlag = ( m_confWinBottom != 0 ) || ( m_confWinRight != 0 ) || ( m_confWinTop != 0 ) || ( m_confWinBottom != 0 ); 
     repFormat->setConformanceWindowVpsFlag( conformanceWindowVpsFlag );
@@ -1833,11 +1750,4 @@
       repFormat->setConfWinVpsBottomOffset  ( m_confWinBottom / TComSPS::getWinUnitY( repFormat->getChromaFormatVpsIdc() ) ); 
     }
-#else
-    repFormat->setConformanceWindowVpsFlag( true );
-    repFormat->setConfWinVpsLeftOffset    ( m_confWinLeft   / TComSPS::getWinUnitX( repFormat->getChromaFormatVpsIdc() ) );
-    repFormat->setConfWinVpsRightOffset   ( m_confWinRight  / TComSPS::getWinUnitX( repFormat->getChromaFormatVpsIdc() )  );
-    repFormat->setConfWinVpsTopOffset     ( m_confWinTop    / TComSPS::getWinUnitY( repFormat->getChromaFormatVpsIdc() )  );
-    repFormat->setConfWinVpsBottomOffset  ( m_confWinBottom / TComSPS::getWinUnitY( repFormat->getChromaFormatVpsIdc() ) ); 
-#endif
     assert( vps.getRepFormat( j ) == NULL ); 
     vps.setRepFormat( j , repFormat );
@@ -1861,15 +1771,8 @@
 
   repFormat->setConformanceWindowVpsFlag( true );
-#if H_MV_ALIGN_HM_15
   repFormat->setConfWinVpsLeftOffset    ( m_confWinLeft   / TComSPS::getWinUnitX( repFormat->getChromaFormatVpsIdc() ) );
   repFormat->setConfWinVpsRightOffset   ( m_confWinRight  / TComSPS::getWinUnitX( repFormat->getChromaFormatVpsIdc() )  );
   repFormat->setConfWinVpsTopOffset     ( m_confWinTop    / TComSPS::getWinUnitY( repFormat->getChromaFormatVpsIdc() )  );
   repFormat->setConfWinVpsBottomOffset  ( m_confWinBottom / TComSPS::getWinUnitY( repFormat->getChromaFormatVpsIdc() ) ); 
-#else
-  repFormat->setConfWinVpsLeftOffset    ( m_confLeft   / TComSPS::getWinUnitX( repFormat->getChromaFormatVpsIdc() ) );
-  repFormat->setConfWinVpsRightOffset   ( m_confRight  / TComSPS::getWinUnitX( repFormat->getChromaFormatVpsIdc() )  );
-  repFormat->setConfWinVpsTopOffset     ( m_confTop    / TComSPS::getWinUnitY( repFormat->getChromaFormatVpsIdc() )  );
-  repFormat->setConfWinVpsBottomOffset  ( m_confBottom / TComSPS::getWinUnitY( repFormat->getChromaFormatVpsIdc() ) ); 
-#endif
   assert( vps.getRepFormat( 0 ) == NULL ); 
   vps.setRepFormat( 0 , repFormat );
@@ -2250,5 +2153,4 @@
 }
 
-#if HHI_CAM_PARA_K0052
 #if H_3D
 Void TAppEncTop::xSetCamPara                ( TComVPS& vps )
@@ -2285,5 +2187,4 @@
 }
 #endif
-#endif
 
 
Index: branches/HTM-14.0-dev0/source/App/TAppEncoder/TAppEncTop.h
===================================================================
--- branches/HTM-14.0-dev0/source/App/TAppEncoder/TAppEncTop.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/App/TAppEncoder/TAppEncTop.h	(revision 1185)
@@ -142,8 +142,6 @@
   Void xSetDpbSize                ( TComVPS& vps );
   Void xSetVPSVUI                 ( TComVPS& vps );
-#if HHI_CAM_PARA_K0052
 #if H_3D
   Void xSetCamPara                ( TComVPS& vps );
-#endif
 #endif
   GOPEntry* xGetGopEntry( Int layerIdInVps, Int poc );