Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1194)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1195)
@@ -609,5 +609,5 @@
 
 #if SVC_EXTENSION
-#if RPL_INIT_N0316_N0082
+    // initial reference picture list construction
     if( m_layerId > 0 )
     {      
@@ -622,6 +622,6 @@
       }
     }
-#endif
 #endif //SVC_EXTENSION
+
     for ( i=0; i<NumPocStCurr1; i++, cIdx++)
     {
@@ -632,20 +632,5 @@
       rpsCurrList0[cIdx] = RefPicSetLtCurr[i];
     } 
-#if !RPL_INIT_N0316_N0082
-#if SVC_EXTENSION
-    if( m_layerId > 0 )
-    {
-      for( i = 0; i < m_activeNumILRRefIdx && cIdx < numPocTotalCurr; cIdx ++, i ++)      
-      {
-        Int refLayerIdc = m_interLayerPredLayerIdc[i];
-        Int maxTidIlRefPicsPlus1 = getVPS()->getMaxTidIlRefPicsPlus1(ilpPic[refLayerIdc]->getSlice(0)->getLayerIdx(), getLayerIdx());
-        if( ((Int)(ilpPic[refLayerIdc]->getSlice(0)->getTLayer())<=maxTidIlRefPicsPlus1-1) || (maxTidIlRefPicsPlus1==0 && ilpPic[refLayerIdc]->getSlice(0)->getRapPicFlag()) )
-        {
-          rpsCurrList0[cIdx] = ilpPic[refLayerIdc];
-        }
-      }
-    }
-#endif
-#endif
+
   assert(cIdx == numPocTotalCurr);
 
@@ -691,5 +676,6 @@
     assert(cIdx >= 0 && cIdx < numPocTotalCurr);
     m_apcRefPicList[REF_PIC_LIST_0][rIdx] = rpsCurrList0[ cIdx ];
-#if RPL_INIT_N0316_N0082
+
+#if SVC_EXTENSION
     m_bIsUsedAsLongTerm[0][rIdx] = ( cIdx >= NumPocStCurr0 && cIdx < NumPocStCurr0 + m_activeNumILRRefIdx ) || ( cIdx >= NumPocStCurr0 + NumPocStCurr1 + m_activeNumILRRefIdx );
 #else
@@ -3938,5 +3924,5 @@
   TComRefPicListModification* refPicListModification = &m_RefPicListModification;
   Int numberOfRpsCurrTempList = this->getNumRpsCurrTempList();  // total number of ref pics in listTemp0 including inter-layer ref pics
-#if RPL_INIT_N0316_N0082
+#if SVC_EXTENSION
   Int numberOfPocBeforeCurr = this->getNumNegativeRpsCurrTempList();  // number of negative temporal ref pics 
 #endif
@@ -3946,5 +3932,5 @@
 
   //set L0 inter-layer reference picture modification
-#if RPL_INIT_N0316_N0082
+#if SVC_EXTENSION
   Bool hasModification = (m_aiNumRefIdx[REF_PIC_LIST_0] == (numberOfPocBeforeCurr + m_activeNumILRRefIdx)) ? false : true;
 
@@ -3980,6 +3966,6 @@
       for(Int i = includeNumILRP; i > 0; i-- )
       {
-#if RPL_INIT_N0316_N0082
-        if((numberOfPocBeforeCurr) >= m_aiNumRefIdx[REF_PIC_LIST_0])
+#if SVC_EXTENSION
+        if( numberOfPocBeforeCurr >= m_aiNumRefIdx[REF_PIC_LIST_0] )
         {
           refPicListModification->setRefPicSetIdxL0(m_aiNumRefIdx[REF_PIC_LIST_0] - i, numberOfPocBeforeCurr + includeNumILRP - i);
@@ -3988,5 +3974,5 @@
         {
           refPicListModification->setRefPicSetIdxL0(m_aiNumRefIdx[REF_PIC_LIST_0] - i, numberOfPocBeforeCurr + includeNumILRP - i);
-          for (Int j = numberOfPocBeforeCurr; j < (m_aiNumRefIdx[REF_PIC_LIST_0] - i); j++)
+          for( Int j = numberOfPocBeforeCurr; j < (m_aiNumRefIdx[REF_PIC_LIST_0] - i); j++ )
           {
             assert( j + includeNumILRP < numberOfRpsCurrTempList );
@@ -4033,5 +4019,4 @@
 }
 
-#if RPL_INIT_N0316_N0082
 Int TComSlice::getNumNegativeRpsCurrTempList()
 {
@@ -4042,7 +4027,8 @@
 
   Int numPocBeforeCurr = 0;
+
   for( UInt i = 0; i < m_pcRPS->getNumberOfNegativePictures(); i++ )
   {
-    if(m_pcRPS->getUsed(i))
+    if( m_pcRPS->getUsed(i) )
     {
       numPocBeforeCurr++;
@@ -4052,5 +4038,4 @@
   return numPocBeforeCurr;
 }
-#endif
 #endif //SVC_EXTENSION
 
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1194)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1195)
@@ -2351,7 +2351,5 @@
   Void      setCrossLayerBLAFlag  (Bool b)                   { m_bCrossLayerBLAFlag = b;     }
 
-#if RPL_INIT_N0316_N0082
   Int       getNumNegativeRpsCurrTempList();
-#endif
 
 #if REPN_FORMAT_IN_VPS
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1194)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1195)
@@ -84,5 +84,4 @@
 #define POC_RESET_INFO_INFERENCE         1      ///< JCTVC-Q0146: Infer the value of poc_reset_info_present_flag when not present
 #define REPN_FORMAT_IN_VPS               1      ///< JCTVC-N0092: Signal represenation format (spatial resolution, bit depth, colour format) in the VPS
-#define RPL_INIT_N0316_N0082             1      ///< JCTVC-N0316, JCTVC-N0082: initial reference picture list construction
 #define SCALINGLIST_INFERRING            1      ///< JCTVC-N0371: inter-layer scaling list
 #define P0297_VPS_POC_LSB_ALIGNED_FLAG   1      ///< JCTVC-P0297: vps_poc_lsb_aligned_flag for cross-layer POC anchor picture derivation